Package org.picocontainer.containers

# Class CommandLineArgumentsPicoContainer

java.lang.Object
org.picocontainer.containers.AbstractDelegatingPicoContainer
org.picocontainer.containers.CommandLinePicoContainer
org.picocontainer.containers.CommandLineArgumentsPicoContainer

All Implemented Interfaces:
  `Serializable`, `Converting`, `PicoContainer`

@Deprecated public final class CommandLineArgumentsPicoContainer extends CommandLinePicoContainer
Deprecated.
Use `CommandLinePicoContainer` instead.
Compatibility stub. This class was renamed to CommandLinePicoContainer for PicoContainer version 2.4.

Author:
  Michael Rimov
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CommandLineArgumentsPicoContainer(String[] arguments)`
Deprecated.
`CommandLineArgumentsPicoContainer(String[] arguments, PicoContainer parent)`
Deprecated.
`CommandLineArgumentsPicoContainer(String separator, StringReader argumentsProps)`
Deprecated.
`CommandLineArgumentsPicoContainer(String separator, StringReader argumentProperties, String[] arguments)`
Deprecated.
`CommandLineArgumentsPicoContainer(String separator, StringReader argumentProperties, String[] arguments, PicoContainer parent)`
Deprecated.
`CommandLineArgumentsPicoContainer(String separator, String[] arguments)`
Deprecated.
`CommandLineArgumentsPicoContainer(String separator, String[] arguments, PicoContainer parent)`
Deprecated.

## Method Summary

### Methods inherited from class org.picocontainer.containers.CommandLinePicoContainer

`getComponent, getComponentAdapters, getDelegate, getParent, setName, toString`

### Methods inherited from class org.picocontainer.containers.AbstractDelegatingPicoContainer

`accept, equals, getComponent, getComponent, getComponent, getComponentAdapter, getComponentAdapter, getComponentAdapter, getComponentAdapters, getComponentAdapters, getComponents, getComponents, getConverters`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandLineArgumentsPicoContainer

public CommandLineArgumentsPicoContainer(String separator, String[] arguments)
Deprecated.

Parameters:
  `separator` -
  `arguments` -

### CommandLineArgumentsPicoContainer

public CommandLineArgumentsPicoContainer(String separator, String[] arguments, PicoContainer parent)
Deprecated.

Parameters:
  `separator` -
  `arguments` -
  `parent` -

### CommandLineArgumentsPicoContainer

public CommandLineArgumentsPicoContainer(String separator, StringReader argumentsProps) throws IOException
Deprecated.

Parameters:
  `separator` -
  `argumentsProps` -
Throws:
  `IOException`

### CommandLineArgumentsPicoContainer

public CommandLineArgumentsPicoContainer(String separator, StringReader argumentProperties, String[] arguments) throws IOException
Deprecated.

Parameters:
  `separator` -
  `argumentProperties` -
  `arguments` -
Throws:
  `IOException`

### CommandLineArgumentsPicoContainer

public CommandLineArgumentsPicoContainer(String separator, StringReader argumentProperties, String[] arguments, PicoContainer parent) throws IOException
Deprecated.

Parameters:
  `separator` -
  `argumentProperties` -
  `arguments` -
  `parent` -
Throws:
  `IOException`

### CommandLineArgumentsPicoContainer

public CommandLineArgumentsPicoContainer(String[] arguments)
Deprecated.

Parameters:
  `arguments` -

### CommandLineArgumentsPicoContainer

public CommandLineArgumentsPicoContainer(String[] arguments, PicoContainer parent)
Deprecated.

Parameters:
  `arguments` -
  `parent` -